fsck_ext2fs(8)

NAME
fsck_ext2fs - compatibility wrapper for e2fsck

SYNOPSIS

fsck_ext2fs [-Fpfnyv] [-b block]

DESCRIPTION

fsck_ext2fs maps the traditional FreeBSD fsck_ffs options to options with the same functionality for e2fsck, runs e2fsck and then maps its exit status to values that FreeBSD understands. e2fsck is a utility to check and repair ext2 and ext3 file systems.

OPTIONS

-F  (check foreground mode required) Immediately exits with status 1 to tell fsck that ext2fs cannot be checked in the background. fsck usually runs fsck_* programs twice, first with -F to find out if they can do background checking, then either immediately without -F for foreground checking or deferred in the background with -B.

-p  (preen mode) This option suppresses adding the -f option (unless -f is also given) and adds the -p option to the e2fsck command line. This causes e2fsck to automatically fix any filesystem problems that can safely be fixed without operator intervention. Without this option given, e2fsck will be run with the -f option to force a check, since interactive scan and repair mode is the default on FreeBSD, but not on Linux where e2fsck comes from.

-f  (force check) This option forces the check of a clean file system while preening and is passed to e2fsck verbatim.

-n  ("no" mode) This option causes the file system to be opened in read-only mode and assume "no" as answer to all questions. This is the only way to safely run fsck on a mounted ext2 or ext3 file system. This option is passed to e2fsck verbatim.

-y  ("yes" mode) This option is passed verbatim to e2fsck and causes it to assume "yes" as answer to all questions. This allows the non-interactive use of e2fsck but is rather aggressive. Use with care.

-v  (verbose output) This option is passed verbatim to e2fsck and causes it to verbosely report its progress.

-b block
    (use alternate super block) This option is passed verbatim to e2fsck and selects an alternate super block, for use when the primary super block has been damaged. Please see the e2fsck(8) manual page for details.

EXIT STATUS
If errors remain after e2fsck, an invalid option or too many options have been specified, e2fsck was killed with a signal or the fork system call failed, fsck_ext2fs exits with status EXIT_FAILURE (usually 1). If e2fsck cannot be started, exits with status 127. If the file system is clean after e2fsck operation, exits with status EXIT_SUCCESS (0).

NOTES

This utility is merely meant as an adaptor so that e2fsck can be run during the boot process, it does not support all options that e2fsck offers. If you need one of its advanced options, please run e2fsck directly.

FILES

/sbin/e2fsck
    is the location of the e2fsck program to run.

AUTHOR

Matthias Andree <matthias.andree@gmx.de> wrote the program and this manual page.

CONFORMING TO
The FreeBSD 6.1 command line interface for fsck_ufs(8).

SEE ALSO
fsck(8), e2fsck(8) and fsck_ufs(8).